Subject: Re: bug#21329: 25.0.50; Flyspell minor mode produces weird effects on keyboard macros

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Aug 2015 18:23:42 -0400

> Would it work to loop until input-pending-p returns non-nil?

Maybe that can be made to work, but it's likely to introduce
other problems.

I was thinking more about refactoring read-event so as to provide a new
`wait-for-event` which stops just before we actually consume the event.

Of course, since I'm sure you've already seen some part of read-event,
you're probably already (and sanely) running away screaming,

        Stefan